/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateNetworkInput } from "../types/CreateNetworkInput";
import { CreateNetworkOutput } from "../types/CreateNetworkOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/CreateNetworkInput";
export * from "../types/CreateNetworkOutput";
export * from "../types/CreateNetworkExceptionsUnion";
export declare class CreateNetworkCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateNetworkInput, OutputTypesUnion, CreateNetworkOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: CreateNetworkInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateNetworkInput, CreateNetworkOutput, _stream.Readable>;
    constructor(input: CreateNetworkInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<CreateNetworkInput, CreateNetworkOutput>;
}
