"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateNetwork_1 = require("../model/operations/CreateNetwork");
class CreateNetworkCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateNetwork_1.CreateNetwork;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateNetworkCommand = CreateNetworkCommand;
//# sourceMappingURL=CreateNetworkCommand.js.map