"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateNode_1 = require("../model/operations/CreateNode");
class CreateNodeCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateNode_1.CreateNode;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateNodeCommand = CreateNodeCommand;
//# sourceMappingURL=CreateNodeCommand.js.map