"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateProposal_1 = require("../model/operations/CreateProposal");
class CreateProposalCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateProposal_1.CreateProposal;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateProposalCommand = CreateProposalCommand;
//# sourceMappingURL=CreateProposalCommand.js.map