"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteNode_1 = require("../model/operations/DeleteNode");
class DeleteNodeCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteNode_1.DeleteNode;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteNodeCommand = DeleteNodeCommand;
//# sourceMappingURL=DeleteNodeCommand.js.map