"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetNetwork_1 = require("../model/operations/GetNetwork");
class GetNetworkCommand {
    constructor(input) {
        this.input = input;
        this.model = GetNetwork_1.GetNetwork;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetNetworkCommand = GetNetworkCommand;
//# sourceMappingURL=GetNetworkCommand.js.map