"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetNode_1 = require("../model/operations/GetNode");
class GetNodeCommand {
    constructor(input) {
        this.input = input;
        this.model = GetNode_1.GetNode;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetNodeCommand = GetNodeCommand;
//# sourceMappingURL=GetNodeCommand.js.map