"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListInvitations_1 = require("../model/operations/ListInvitations");
class ListInvitationsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListInvitations_1.ListInvitations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListInvitationsCommand = ListInvitationsCommand;
//# sourceMappingURL=ListInvitationsCommand.js.map