"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RejectInvitation_1 = require("../model/operations/RejectInvitation");
class RejectInvitationCommand {
    constructor(input) {
        this.input = input;
        this.model = RejectInvitation_1.RejectInvitation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RejectInvitationCommand = RejectInvitationCommand;
//# sourceMappingURL=RejectInvitationCommand.js.map