"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const VoteOnProposal_1 = require("../model/operations/VoteOnProposal");
class VoteOnProposalCommand {
    constructor(input) {
        this.input = input;
        this.model = VoteOnProposal_1.VoteOnProposal;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.VoteOnProposalCommand = VoteOnProposalCommand;
//# sourceMappingURL=VoteOnProposalCommand.js.map