"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateNodeInput_1 = require("../shapes/CreateNodeInput");
const CreateNodeOutput_1 = require("../shapes/CreateNodeOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
const ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateNode = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateNode",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/members/{memberId}/nodes"
    },
    input: {
        shape: CreateNodeInput_1.CreateNodeInput
    },
    output: {
        shape: CreateNodeOutput_1.CreateNodeOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateNode.js.map