"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateProposalInput_1 = require("../shapes/CreateProposalInput");
const CreateProposalOutput_1 = require("../shapes/CreateProposalOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateProposal = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateProposal",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/proposals"
    },
    input: {
        shape: CreateProposalInput_1.CreateProposalInput
    },
    output: {
        shape: CreateProposalOutput_1.CreateProposalOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateProposal.js.map