"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteNodeInput_1 = require("../shapes/DeleteNodeInput");
const DeleteNodeOutput_1 = require("../shapes/DeleteNodeOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteNode = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteNode",
    http: {
        method: "DELETE",
        requestUri: "/networks/{networkId}/members/{memberId}/nodes/{nodeId}"
    },
    input: {
        shape: DeleteNodeInput_1.DeleteNodeInput
    },
    output: {
        shape: DeleteNodeOutput_1.DeleteNodeOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=DeleteNode.js.map