"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListInvitationsInput_1 = require("../shapes/ListInvitationsInput");
const ListInvitationsOutput_1 = require("../shapes/ListInvitationsOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListInvitations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListInvitations",
    http: {
        method: "GET",
        requestUri: "/invitations"
    },
    input: {
        shape: ListInvitationsInput_1.ListInvitationsInput
    },
    output: {
        shape: ListInvitationsOutput_1.ListInvitationsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListInvitations.js.map