"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListMembersInput_1 = require("../shapes/ListMembersInput");
const ListMembersOutput_1 = require("../shapes/ListMembersOutput");
const InvalidRequestException_1 = require("../shapes/InvalidRequestException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ThrottlingException_1 = require("../shapes/ThrottlingException");
const InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListMembers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListMembers",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/members"
    },
    input: {
        shape: ListMembersInput_1.ListMembersInput
    },
    output: {
        shape: ListMembersOutput_1.ListMembersOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListMembers.js.map